%define name	sambapdf 
%define version 1.0
%define release 1mdk
%define	prefix	/usr/doc/using_samba

Summary: Using Samba
Name: %{name}
Version: %{version}
Release: %{release}
Source0:	sambapdf.tar.bz2
Source1:	sambapdf.menu
Source2:	http://www.oreilly.com/catalog/samba/chapter/licenseinfo.html
Copyright:	Robert Eckstein, David Collier-Brown, Peter Kelly, O'Reilly and Associates, Inc. Published under Open Content license.
Group:		Books/Computer books
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch:	noarch
URL:	http://www.oreilly.com/catalog/samba/noframes.html
Requires:	xpdf, locales-en, mandrake_desk

%description
This book, which has been officially adopted by the Samba team under an open content
license, is a comprehensive guide to Samba administration, including such recent
additions as integration with Windows NT domains and the SWAT graphic configuration
tool. Samba turns a Unix or Linux system into a file and print server for Microsoft
Windows network clients. Whether you're playing on one note or a full three-octave
range, this book will help you maintain an efficient and secure server.

%prep

%build
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}

%install
cd $RPM_BUILD_ROOT%{prefix}
bzcat %{SOURCE0} | tar xv

install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{prefix}

## Menu
install -d $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{name}-%{version}

%files
%defattr(-,root,root,0755)
%doc %{prefix}
/usr/lib/menu/*

## menu
%post
if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
fi
 
%postun
## menu
if [ "$1" = 0 ]; then
    if [ -x /usr/bin/update-menus ]; then
        usr/bin/update-menus
    fi
fi


%changelog
* Thu May 09 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0-1mdk
- First spec for Linux-Mandrake distribution
